### Function

# Gtk.PrinterFunc

#### Declaration

    gboolean
    PrinterFunc (
      GtkPrinter* printer,
      gpointer data
    )

#### Description [src]

The type of function passed to `gtk_enumerate_printers()`.

Note that you need to ref `printer`, if you want to keep a reference to it after the function has returned.

#### Parameters

`printer` | `GtkPrinter`
| a `GtkPrinter`
| Ownership is not transferred to the callee
`data` | `gpointer`
| user data passed to `gtk_enumerate_printers()`

#### Return value

Returns: `gboolean`
`TRUE` to stop the enumeration, `FALSE` to continue